
  <!DOCTYPE html>
  <html>
    <head>
      <title>Button.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Button/Button.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">122</td><td class="">122</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;
import { Link } from &#x27;react-router-dom&#x27;;

import s from &#x27;./Button.module.scss&#x27;;

import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;

export enum ButtonVariant {
  DEFAULT = &#x27;default&#x27;,
  ACTION = &#x27;action&#x27;,
  WHITE = &#x27;white&#x27;
}

export interface ButtonProps extends BaseComponent {
  onClick?: React.MouseEventHandler&lt;HTMLButtonElement&gt;;
  asLink?: boolean;
  to?: string;
  variant?: ButtonVariant;
  hoverVariant?: ButtonVariant;
  leftIcon?: React.ReactNode;
  rightIcon?: React.ReactNode;
  fullWidth?: boolean;
  size?: &#x27;small&#x27;;
  uppercase?: boolean;
  disabled?: boolean;
}

export const Button: React.FC&lt;ButtonProps&gt; = ({
  className,
  onClick,
  asLink,
  to,
  variant = ButtonVariant.DEFAULT,
  hoverVariant = ButtonVariant.WHITE,
  leftIcon,
  rightIcon,
  children,
  fullWidth,
  size,
  uppercase,
  disabled
}) =&gt; {
  const cn = clsx(
    className,
    s.Button,

    uppercase &amp;&amp; s.Button_uppercase
  );

  const buttonWrapperCn = clsx(
    s.Button__wrapper,
    fullWidth &amp;&amp; s.Button__wrapper_fullWidth,
    variant !== ButtonVariant.DEFAULT &amp;&amp;
      s[`Button__wrapper_variant_${variant}`],
    s[`Button__wrapper_hoverVariant_${hoverVariant}`],
    size &amp;&amp; s[`Button__wrapper_size_${size}`],
    disabled &amp;&amp; s.Button__wrapper_disabled
  );

  if (asLink &amp;&amp; to) {
    return (
      &lt;div className={buttonWrapperCn}&gt;
        {leftIcon ? &lt;div className={s.Button__leftIcon}&gt;{leftIcon}&lt;/div&gt; : null}
        &lt;Link className={cn} to={to}&gt;
          {children}
        &lt;/Link&gt;
      &lt;/div&gt;
    );
  }

  return (
    &lt;div className={buttonWrapperCn}&gt;
      {leftIcon ? &lt;div className={s.Button__leftIcon}&gt;{leftIcon}&lt;/div&gt; : null}
      &lt;button onClick={onClick} className={cn}&gt;
        {children}
      &lt;/button&gt;
      {rightIcon ? (
        &lt;div className={s.Button__rightIcon}&gt;{rightIcon}&lt;/div&gt;
      ) : null}
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  